export declare enum Access {
    Explicit = "/*- explicit -*/",
    Public = "public",
    Internal = "internal",
    Protected = "protected",
    ProtectedInternal = "protected internal",
    PrivateProtected = "private protected",
    Private = "private",
    Default = ""
}
export declare enum Modifier {
    None = "",
    Static = "static",
    New = "new ",
    ReadOnly = "readonly",
    Volitile = "volitile",
    Sealed = "sealed",
    Override = "override",
    Abstract = "abstract",
    Extern = "extern",
    Async = "async",
    Virtual = "virtual"
}
export declare type Static = Modifier.None | Modifier.Static;
export declare type New = Modifier.None | Modifier.New;
export declare type ReadOnly = Modifier.None | Modifier.ReadOnly;
export declare type Volitile = Modifier.None | Modifier.Volitile;
export declare type Async = Modifier.None | Modifier.Async;
export declare type Abstract = Modifier.None | Modifier.Abstract;
export declare type Sealed = Modifier.None | Modifier.Sealed;
export declare type Override = Modifier.None | Modifier.Override;
export declare type Extern = Modifier.None | Modifier.Extern;
export declare type Virtual = Modifier.None | Modifier.Virtual;
export declare function highestAccess(first: Access, second: Access): Access;
export declare function lowestAccess(first: Access, second: Access): Access;
//# sourceMappingURL=access-modifier.d.ts.map